//
//  BEDrawUtilities.h
//  GearIcon
//
//  Created by Philipp on 5/19/11.
//  Copyright 2011 Incredible Bee Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#pragma mark NSColor additions

@interface NSColor (BEDrawUtilities)

/**
 * Returns an \p NSColor object in the sRGB color space with the given components.
 *
 * Use this method if you need to make a color look exactly like in a mock up.
 */
+(NSColor *) sRGBColorWithRed:(unsigned char)red green:(unsigned char)green blue:(unsigned char)blue alpha:(unsigned char)alpha;

+(NSColor*)colorWithHexColorString:(NSString*)inColorString;

@end


#pragma mark NSBezierPath additions

@interface NSBezierPath (BEDrawUtilities)

+(NSBezierPath *) bezierPathWithIsoscelesTriangleInRect:(NSRect)aRect midPointAtEdge:(NSRectEdge)edge;

+(NSBezierPath *) bezierPathWithGearInRect:(NSRect)bounds toothSize:(NSSize)toothSize holeRadius:(CGFloat)holeRadius;

@end
